Skip to main content
POST
/
v1
/
companies
/
search
Search Companies
curl --request POST \
  --url https://api.linkupapi.com/v1/companies/search \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "location": "<string>",
  "sector": "<string>",
  "industry": "<string>",
  "keyword": "<string>",
  "company_size": "<string>",
  "total_results": 123,
  "start_page": 123,
  "end_page": 123,
  "country": "<string>",
  "login_token": "<string>"
}
'
{
  "status": "success",
  "data": {
    "total_results": 2,
    "total_available_results": 1368,
    "companies": [
      {
        "company_name": "Software République",
        "company_url": "https://www.linkedin.com/company/softwarerepublique/",
        "job_offers": null,
        "subscribers": "4 k abonnés",
        "location": "Développement de logiciels • Paris",
        "logo_url": "https://media.licdn.com/dms/image/v2/C4E0BAQEOM_2p0wtaWQ/company-logo_100_100/company-logo_100_100/0/1653290912803?e=1749081600&v=beta&t=qshekRz09DUyP6lo2KEQppZBMj-gJ7zmzj-3saswwkA"
      },
      {
        "company_name": "Software Club",
        "company_url": "https://www.linkedin.com/company/softwareclub/",
        "job_offers": "2 offres d'emploi",
        "subscribers": "8 k abonnés",
        "location": "Technologie, information et Internet • Paris, Île-de-France",
        "logo_url": "https://media.licdn.com/dms/image/v2/C4E0BAQGtU0gjNC8ONw/company-logo_100_100/company-logo_100_100/0/1673453153703/softwareclub_logo?e=1749081600&v=beta&t=E4mMCkbmbIcBbLsAHSj_PGP5FBHPQfJ3eVlexTGEdo8"
      }
    ],
    "pagination": {
      "start_page": 1,
      "end_page": 1,
      "results_per_page": 50,
      "pages_fetched": 1
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.linkupapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Search and retrieve information about companies on LinkedIn using filters like location, sector, keywords, and company size.
Credit Usage: 1 credit per 10 results (or fraction thereof). For example:
  • 1-10 results = 1 credit
  • 11-20 results = 2 credits
  • 300 results = 30 credits

Header Parameters

x-api-key
string
required
Your API key

Body Parameters

location
string
Geographic location for company search (e.g., “Paris”, “France”, “Europe”). Use semicolon (;) as separator for multiple locations (e.g., “Paris;London;Berlin”).
sector
string
Industry sector you can find the label here: api.linkupapi.com/v1/tool/industries Use semicolon (;) as separator for multiple sectors (e.g., “Software;Finance;Marketing”).
industry
string
Industry to filter companies by. Use semicolon (;) as separator for multiple industries (e.g., “software;marketing;finance”).Get the full list of available industries at: api.linkupapi.com/v1/tool/industries
keyword
string
Search keyword or company name
company_size
string
Employee count range: 1-10 employees 11-50 employees 51-200 employees 201-500 employees 501-1000 employees 1001-5000 employees 5001-10000 employees 10001+ employees
total_results
integer
default:"10"
Number of companies to return (used when not in pagination mode)
start_page
integer
First page to fetch when using pagination mode (default: 1)
end_page
integer
Last page to fetch when using pagination mode (default: same as start_page)
country
string
default:"FR"
Country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
login_token
string
required
LinkedIn authentication cookie obtained from the login/verify process

Response

status
string
Request status (success/error)
data
object
{
  "status": "success",
  "data": {
    "total_results": 2,
    "total_available_results": 1368,
    "companies": [
      {
        "company_name": "Software République",
        "company_url": "https://www.linkedin.com/company/softwarerepublique/",
        "job_offers": null,
        "subscribers": "4 k abonnés",
        "location": "Développement de logiciels • Paris",
        "logo_url": "https://media.licdn.com/dms/image/v2/C4E0BAQEOM_2p0wtaWQ/company-logo_100_100/company-logo_100_100/0/1653290912803?e=1749081600&v=beta&t=qshekRz09DUyP6lo2KEQppZBMj-gJ7zmzj-3saswwkA"
      },
      {
        "company_name": "Software Club",
        "company_url": "https://www.linkedin.com/company/softwareclub/",
        "job_offers": "2 offres d'emploi",
        "subscribers": "8 k abonnés",
        "location": "Technologie, information et Internet • Paris, Île-de-France",
        "logo_url": "https://media.licdn.com/dms/image/v2/C4E0BAQGtU0gjNC8ONw/company-logo_100_100/company-logo_100_100/0/1673453153703/softwareclub_logo?e=1749081600&v=beta&t=E4mMCkbmbIcBbLsAHSj_PGP5FBHPQfJ3eVlexTGEdo8"
      }
    ],
    "pagination": {
      "start_page": 1,
      "end_page": 1,
      "results_per_page": 50,
      "pages_fetched": 1
    }
  }
}

Notes

  • All filter parameters are optional but at least one should be provided for meaningful results
  • Results are paginated with a maximum of 50 companies per page
  • Location and sector IDs are automatically resolved from provided strings
  • The total_available_results field shows the total number of companies that match your search criteria on LinkedIn
  • The job_offers field may be null if no job listings are currently available
  • Pagination Mode vs. Total Results Mode:
    • Total Results Mode: Use the total_results parameter to specify how many companies you want (default)
    • Pagination Mode: Use start_page and end_page parameters to fetch specific pages of results
    • Credit usage in pagination mode is based on the number of pages fetched (1 credit per page)
    • When using pagination mode, total_results parameter is ignored